commit:     bbdc276d43ccf7a2bdc6addf27126e31169ffc49
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 24 06:02:54 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jan 24 07:16:26 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbdc276d

dev-python/boto3: Bump to 1.36.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/boto3/Manifest            |  1 +
 dev-python/boto3/boto3-1.36.5.ebuild | 53 ++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index a0bc3d62a7d6..cdaff6666829 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -8,3 +8,4 @@ DIST boto3-1.36.1.gh.tar.gz 923135 BLAKE2B 
7935b58d3a5815ec5e34541981d18c82400e0
 DIST boto3-1.36.2.gh.tar.gz 923432 BLAKE2B 
91f19eb6e1451923adbf323688d89cfadd384009fbc3fdcae688b48dee54d9a3f14956cedaed07b15f2cdc3badaf0533a6ec1e1baf5cedc88e91580104834eb2
 SHA512 
e9e14f4aacd0814952198d5446050f0cf822baac0b3ce3604c40dbb6b122c431624b46b144ea4699be7328f6236e099981905a4be6a9de3400750800d8d40e60
 DIST boto3-1.36.3.gh.tar.gz 924862 BLAKE2B 
62b42a498a3d75f988d155ae6263d6e736785566217644c9435af5e89fc8e4e7e64559f58ab8ab113107172b23fc7935fdaa554fb8c3632f69dc0901048e4505
 SHA512 
39202187a7a643d9b9cac8aaef14e9ab1834e14d0ae242e15342fdcf8e055529dc8b2ffd585126b0b69b8bcd0e5986cc8352d9f93fbb20ca8d543b709e9be954
 DIST boto3-1.36.4.gh.tar.gz 925176 BLAKE2B 
fccd1bbe23180d7c0b3aa5ace72534d715e2887d370180199004982e32c80c4c71ba0637f565e2b85e95718e66574dd099ba88f9533db2955a281d505c2a68a9
 SHA512 
b6036cd3a1150558589ee7c3f28b1e673d15079a3f57579b45e9fc63aee54f5b1200e05a24ca8e8d5a291ad52c028c890f74f63e5191b19ed8208d05cbedfd7a
+DIST boto3-1.36.5.gh.tar.gz 925252 BLAKE2B 
443a64b8854b40f9a822b01b05272c9ed9b9b0397a3ea5282ad4043938198dfad8d2c7097530c728b1c99a9c00234aa09fa949aa44fe3ba6d7da59edb3d52d19
 SHA512 
7a3fca10fca1fac5ca92a24dccf63007c6c1565efc560f01989a70b390fb7bd60c07f30df4ddc0c0f4d87a30a47794783e1ee996b39e6c083bddcf9c47fd1c42

diff --git a/dev-python/boto3/boto3-1.36.5.ebuild 
b/dev-python/boto3/boto3-1.36.5.ebuild
new file mode 100644
index 000000000000..b087a88814e8
--- /dev/null
+++ b/dev-python/boto3/boto3-1.36.5.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+       https://github.com/boto/boto3/
+       https://pypi.org/project/boto3/
+"
+SRC_URI="
+       https://github.com/boto/boto3/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+RDEPEND="
+       >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+       >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+       >=dev-python/s3transfer-0.11.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # don't lock versions to narrow ranges
+       sed -e '/botocore/ d' \
+               -e '/jmespath/ d' \
+               -e '/s3transfer/ d' \
+               -i setup.py || die
+
+       # do not rely on bundled deps in botocore (sic!)
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest tests/{functional,unit}
+}

Reply via email to